module PersonalDiploma
  class Engine < Rails::Engine
  	initializer "personal_diploma" do
  		OrbitApp.registration "PersonalDiploma",:type=> 'ModuleApp' do
		module_label 'module_name.personal_diploma'
		base_url File.expand_path File.dirname(__FILE__)    
		personal_plugin :enable => true, :sort_number => '40', :app_name=>"Diploma", :intro_app_name=>"PersonalDiplomaIntro",:path=>"panel/personal_diploma/plugin/profile",:front_path=>"panel/personal_diploma/front_end/profile",:admin_path=>"/panel/personal_diploma/back_end/diplomas",:i18n=>'module_name.personal_diploma'

		version "0.1"
		organization "Rulingcom"
		author "RD dep"
		intro "I am intro"
		update_info 'some update_info'

		front_end do
		  app_page 'diplomas' do 
		    frontend_i18n "personal_diploma.frontend.diplomas"
		  end
		end

		end
  	end
  end
end
